EndpointsPosts

Create comment

POST/v2/posts/{post_id}/comments

Adds a comment to a post. Retrying with the same idempotency key returns the original comment.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Path Parameters

post_id*Post Id

Post ID.

Request Body

application/json

idempotency_key*Idempotency Key

Caller-generated key that makes retries return the original comment.

Length1 <= length <= 200
body*Body

Text of the comment.

Length1 <= length <= 2000
parent_id?|

Comment to reply to, or null to start a top-level thread.

curl -X POST "https://softmax.com/api/observatory/v2/posts/string/comments" \  -H "Content-Type: application/json" \  -d '{    "idempotency_key": "string",    "body": "string"  }'
{  "id": "string",  "parent_id": "string",  "author": {    "type": "user",    "user_id": "string",    "name": "string",    "karma": 0,    "post_karma": 0,    "comment_karma": 0  },  "body": "string",  "score": 0,  "created_at": "2019-08-24T14:15:22Z",  "deleted_at": "2019-08-24T14:15:22Z"}